Поддержка видеокарт AMD RX480 в Calculate

Здравствуйте. Уже прочитал что пока AMDGPU-PRO в Gentoo официально не поддерживается, но всё же видеокарты серии RX4xx запустить можно на свободных amdgpu. Поменял видеокарту на работавшей раньше на nvidia системе и теперь не могу запустить графическую оболочку. Пробовал сменить ядро и переставлять драйвера через cl-setup-video переставлять и radeon и amdgpu - не работает. Попробовал запустить live-DVD 15.17 и последние несколько ежедневных сборок (с новым оформлением, которое я так и не видел). Не запускается. Доходит до черного экрана с мигающим курсором и вот вот должно мигнуть и… Но нет. Только мигает и мигает. Однако способ запустить наверняка есть, пробовал Live-DVD Sabayon, он запускается, но там поддержка англоговорящая и по умолчанию свой пакетный менеджер (хотя система основана на Gentoo, и вроде как поддерживает обратную совместимость).

Вообщем хотелось бы узнать, есть ли способ запустить систему на этой видеокарте, если нет то планируется ли поддержка в будущем, ну и если да то насколько в обозримом.

P.S. Вот ещё что. На форуме (линукс.орг.ру) прочитал что если установить вот это в Gentoo то работает полное аппаратное ускорение для AMD последних серий; https://github.com/Lucretia/vulkan-overlay (я создал тему в ВК, буду пробовать).

Я не имею такой карты. Но про vulkan слышал. Хочу посоветовать попробывать запустить fedora 25 там эта штука стоит по умолчанию. Если заработает то есть смысл эксперементировать уже с calculate.

Так а причём тут Fedora, которая уже лет пять как AMD вообще официально не поддерживает (FGLRX)? На Ubuntu работает AMDGPU-PRO, написано что на Arch и Gentoo (неофициально), тоже работает. Просто их инструкции мне не по зубам. Для начала, хотелось бы вообще увидеть графическое окружение в Calculate, а оно должно заработать, на официально поддерживаемых и свободных, драйверах amdgpu (не -PRO). Эти драйвера в Calculate есть, и я их выбрать могу но они не работают :frowning: Я как владелец редкой карточки и заинтересованное лицо, готов тестировать нестабильное ПО и тестовые версии, вплоть до регулярных переустановок системы :slight_smile: Ну хотелось бы чтоб калька заработала.

Sabayon вообще идет по умолчанию в Systemd. и только в x86_64.Не знаю как за AMD ( я никогда не беру данные комплектующие)Но если на Nvidia,то тебе с nouveau конфликт модулей обеспечен при старте системы,так как nouveau тоже идет по умолчанию в blacklist

Кстати,при установке Сабайона,при первом обновлении там файл со ссылкой выдается.Вроде как и по твоему AMD

Nvidia на Sabayon, вообще с установкой проприетарные драйвера ставит. У меня предыдущая карточка GTX760, не было проблем. Но уж очень любопытна мне RX480. А где можно ссылку увидеть? Не ставить же только из-за ссылки?

Я за то и говорю что свободные в blacklist.Посмотрю на том харде. сабайон ставил пару дней назад.если сохранил из гугла,скину сюда

Ну вот за что и говорил.)))))))0 Юниты не стартуют или вообще Х ы удило конфликтом модулей.Почитай на сайте сабайоновском.должна там инфа быть.нет желания в сабайоне копаться )))))))

Ну сегодня стим ставил на чистой системе. из под свободных на проприетарные по Nvidia переходом по терминалу.Не стартует после перезагруза. Плюнул,переустановил систему по новой уже на проприетарщину.запустил )))))))))

ну а что тебе мешает свободные дрова выбрать при переустановке системы в инсталляторе на др.хард или ту же флешку. всё равно ведь тестируешь,а значит не раз еще что нибудь убьешь ))))))))))

Anatoliy Galiguzov wrote:

Так а причём тут Fedora, которая уже лет пять как AMD вообще официально не поддерживает (FGLRX)? На Ubuntu работает AMDGPU-PRO, написано что на Arch и Gentoo (неофициально), тоже работает. Просто их инструкции мне не по зубам. Для начала, хотелось бы вообще увидеть графическое окружение в Calculate, а оно должно заработать, на официально поддерживаемых и свободных, драйверах amdgpu (не -PRO). Эти драйвера в Calculate есть, и я их выбрать могу но они не работают :frowning: Я как владелец редкой карточки и заинтересованное лицо, готов тестировать нестабильное ПО и тестовые версии, вплоть до регулярных переустановок системы :slight_smile: Ну хотелось бы чтоб калька заработала.

https://wiki.sabayon.org/index.php?title=HOWTO:_Get_AMD/ATI_or_Nvidia_Video_Cards_working_in_Sabayon вот это вроде выдает там по ссылке

Спасибо. Тут без знания английского суть понятна: “Currently AMDGPU-PRO isn’t available to Gentoo in this BETA phase.” Вообщем ждать.

А что мешает сделать закладку англо-русский переводчик онлайн в браузере.? Вводи копируя туда инглиш и тебе будет более менее перевод.Это первое.И второе. тут в блогах есть информация…вобщем радеон передает тебе следующее…Помаши свободным дровам ручкой. )))))))))

Anatoliy Galiguzov wrote:

Спасибо. Тут без знания английского суть понятна: “Currently AMDGPU-PRO isn’t available to Gentoo in this BETA phase.” Вообщем ждать.

amdgpu-pro!=fglrx а дополнение к amdgpu (opencl , opengl 4.5 и пр ) . После установки всего нужного из оверлея вулкан включается opengl/opencl с помощью eselect :wink:

Фёдор Фёдоров wrote:

А что мешает сделать закладку англо-русский переводчик онлайн в браузере.? Вводи копируя туда инглиш и тебе будет более менее перевод.Это первое.И второе. тут в блогах есть информация…вобщем радеон передает тебе следующее…Помаши свободным дровам ручкой. )))))))))

Да ничего не мешает, я так и делаю (так и написал). А насчёт свободных драйверов для AMD, так AMDGPU и есть новейшие, свободные драйвера, поддерживаемые новыми ядрами (насчёт стареньких карт не знаю но свежие поддерживаются все). Несвободные драйвера для AMD, называются AMDGPU-PRO, и как следует из названия, несвободная часть просто "прикручивается к свободной как дополнение. На данный момент, мне помогли в группе ВК и Calculate на AMDGPU я уже запустил, всё работает (на ядре calculate-source 4.8.15). Другой вопрос почему из коробки Live CD не поддерживает новую карточку… Теперь попробую добиться AMDGPU-PRO (это как раз самое интересное). А насчёт свободных, есть ещё Mesa 13.1 (пока dev), так тоже результаты сравнимы с AMDGPU-PRO. Eselect я использую, спасибо. Проблемы были как раз с установкой.

Anatoliy Galiguzov wrote:

Другой вопрос почему из коробки Live CD не поддерживает новую карточку…

В “битву экстрасенсов” с таким вопросом обращайтесь или выкладывайте логи с системы у которой не стартанули иксы и тогда возможно получите помощь здесь .

Anatoliy Galiguzov Я так то за блоги имел ввиду эту информацию
http://www.calculate-linux.ru/blogs/ru/619/show

Иван Иванов wrote:

Anatoliy Galiguzov wrote:

Другой вопрос почему из коробки Live CD не поддерживает новую карточку…

В “битву экстрасенсов” с таким вопросом обращайтесь или выкладывайте логи с системы у которой не стартанули иксы и тогда возможно получите помощь здесь .

Так именно об “экстрасенсах” и речь :slight_smile: Если кто-то готов помочь, отзовитесь и подскажите что делать (например какие логи показать и как их добыть). А за советами куда пойти со своими вопросами, я могу и на ЛОР сходить :slight_smile: За информацию - спасибо (буду знать что это иксы “не стартанули”).

Фёдор Фёдоров wrote:

Anatoliy Galiguzov Я так то за блоги имел ввиду эту информацию
http://www.calculate-linux.ru/blogs/ru/619/show

Это я видел. Везде было (прада намного раньше, не месяц назад). Это только отказа от FGLRX (ну и проприетарный конец для карточек до GCN 1.0 (как я понял тип архитектуры). Теперь какой то совместный c самой AMD проект будет развивать новые свободные AMDGPU (они есть в Calculate но почему то не стартуют из Live режима с моей RX480) и новые проприетарные AMDGPU-PRO для анрхитектур GCN 1.0, 1.1, 1,2 (вот они пока оффифиально только для Ubuntu и SteamOS). Выше, ссылка на несвободный драйвер, который по описаниям, успешно ставят на Gentoo (ну не с моим рылом) :slight_smile:

Anatoliy Galiguzov wrote:

Фёдор Фёдоров wrote:

Anatoliy Galiguzov Я так то за блоги имел ввиду эту информацию
http://www.calculate-linux.ru/blogs/ru/619/show

Это я видел. Везде было (прада намного раньше, не месяц назад). Это только отказа от FGLRX (ну и проприетарный конец для карточек до GCN 1.0 (как я понял тип архитектуры). Теперь какой то совместный c самой AMD проект будет развивать новые свободные AMDGPU (они есть в Calculate но почему то не стартуют из Live режима с моей RX480) и новые проприетарные AMDGPU-PRO для анрхитектур GCN 1.0, 1.1, 1,2 (вот они пока оффифиально только для Ubuntu и SteamOS). Выше, ссылка на несвободный драйвер, который по описаниям, успешно ставят на Gentoo (ну не с моим рылом) :slight_smile:

да ладно.Всё когда то в первый раз. Не в год в 2 и ты поставишь в gentoo )))))))))